### YamlMime:ManagedReference
items:
- uid: Voile.UI.Panel
  commentId: T:Voile.UI.Panel
  id: Panel
  parent: Voile.UI
  children:
  - Voile.UI.Panel.#ctor(Voile.UI.PanelStyle)
  - Voile.UI.Panel.OnRender(Voile.Rendering.RenderSystem)
  - Voile.UI.Panel.Style
  langs:
  - csharp
  - vb
  name: Panel
  nameWithType: Panel
  fullName: Voile.UI.Panel
  type: Class
  source:
    remote:
      path: Voile/Source/UI/Panel.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Panel
    path: Source/UI/Panel.cs
    startLine: 5
  assemblies:
  - Voile
  namespace: Voile.UI
  syntax:
    content: 'public class Panel : Container'
    content.vb: Public Class Panel Inherits Container
  inheritance:
  - System.Object
  - Voile.UI.UIElement
  - Voile.UI.Container
  derivedClasses:
  - Voile.UI.MarginPanel
  - Voile.UI.VerticalPanel
  inheritedMembers:
  - Voile.UI.Container.UpdateRect(System.Numerics.Vector2,System.Numerics.Vector2)
  - Voile.UI.Container.RearrangeChildren
  - Voile.UI.Container.RearrangeChild(System.Int32,Voile.UI.UIElement)
  - Voile.UI.UIElement.Rect
  - Voile.UI.UIElement.VerticalSizeFlags
  - Voile.UI.UIElement.HorizontalSizeFlags
  - Voile.UI.UIElement.ExpandRatio
  - Voile.UI.UIElement.AddChild(Voile.UI.UIElement)
  - Voile.UI.UIElement.Render(Voile.Rendering.RenderSystem)
  - Voile.UI.UIElement.children
  - Voile.UI.UIElement.parent
  - System.Object.Equals(System.Object)
  - System.Object.Equals(System.Object,System.Object)
  - System.Object.GetHashCode
  - System.Object.GetType
  - System.Object.MemberwiseClone
  - System.Object.ReferenceEquals(System.Object,System.Object)
  - System.Object.ToString
- uid: Voile.UI.Panel.Style
  commentId: P:Voile.UI.Panel.Style
  id: Style
  parent: Voile.UI.Panel
  langs:
  - csharp
  - vb
  name: Style
  nameWithType: Panel.Style
  fullName: Voile.UI.Panel.Style
  type: Property
  source:
    remote:
      path: Voile/Source/UI/Panel.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Style
    path: Source/UI/Panel.cs
    startLine: 7
  assemblies:
  - Voile
  namespace: Voile.UI
  syntax:
    content: public PanelStyle Style { get; set; }
    parameters: []
    return:
      type: Voile.UI.PanelStyle
    content.vb: Public Property Style As PanelStyle
  overload: Voile.UI.Panel.Style*
- uid: Voile.UI.Panel.#ctor(Voile.UI.PanelStyle)
  commentId: M:Voile.UI.Panel.#ctor(Voile.UI.PanelStyle)
  id: '#ctor(Voile.UI.PanelStyle)'
  parent: Voile.UI.Panel
  langs:
  - csharp
  - vb
  name: Panel(PanelStyle)
  nameWithType: Panel.Panel(PanelStyle)
  fullName: Voile.UI.Panel.Panel(Voile.UI.PanelStyle)
  type: Constructor
  source:
    remote:
      path: Voile/Source/UI/Panel.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: .ctor
    path: Source/UI/Panel.cs
    startLine: 9
  assemblies:
  - Voile
  namespace: Voile.UI
  syntax:
    content: public Panel(PanelStyle style)
    parameters:
    - id: style
      type: Voile.UI.PanelStyle
    content.vb: Public Sub New(style As PanelStyle)
  overload: Voile.UI.Panel.#ctor*
  nameWithType.vb: Panel.New(PanelStyle)
  fullName.vb: Voile.UI.Panel.New(Voile.UI.PanelStyle)
  name.vb: New(PanelStyle)
- uid: Voile.UI.Panel.OnRender(Voile.Rendering.RenderSystem)
  commentId: M:Voile.UI.Panel.OnRender(Voile.Rendering.RenderSystem)
  id: OnRender(Voile.Rendering.RenderSystem)
  parent: Voile.UI.Panel
  langs:
  - csharp
  - vb
  name: OnRender(RenderSystem)
  nameWithType: Panel.OnRender(RenderSystem)
  fullName: Voile.UI.Panel.OnRender(Voile.Rendering.RenderSystem)
  type: Method
  source:
    remote:
      path: Voile/Source/UI/Panel.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: OnRender
    path: Source/UI/Panel.cs
    startLine: 14
  assemblies:
  - Voile
  namespace: Voile.UI
  example: []
  syntax:
    content: protected override void OnRender(RenderSystem renderer)
    parameters:
    - id: renderer
      type: Voile.Rendering.RenderSystem
    content.vb: Protected Overrides Sub OnRender(renderer As RenderSystem)
  overridden: Voile.UI.Container.OnRender(Voile.Rendering.RenderSystem)
  overload: Voile.UI.Panel.OnRender*
references:
- uid: Voile.UI
  commentId: N:Voile.UI
  href: Voile.html
  name: Voile.UI
  nameWithType: Voile.UI
  fullName: Voile.UI
  spec.csharp:
  - uid: Voile
    name: Voile
    href: Voile.html
  - name: .
  - uid: Voile.UI
    name: UI
    href: Voile.UI.html
  spec.vb:
  - uid: Voile
    name: Voile
    href: Voile.html
  - name: .
  - uid: Voile.UI
    name: UI
    href: Voile.UI.html
- uid: System.Object
  commentId: T:System.Object
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object
  name: object
  nameWithType: object
  fullName: object
  nameWithType.vb: Object
  fullName.vb: Object
  name.vb: Object
- uid: Voile.UI.UIElement
  commentId: T:Voile.UI.UIElement
  parent: Voile.UI
  href: Voile.UI.UIElement.html
  name: UIElement
  nameWithType: UIElement
  fullName: Voile.UI.UIElement
- uid: Voile.UI.Container
  commentId: T:Voile.UI.Container
  parent: Voile.UI
  href: Voile.UI.Container.html
  name: Container
  nameWithType: Container
  fullName: Voile.UI.Container
- uid: Voile.UI.Container.UpdateRect(System.Numerics.Vector2,System.Numerics.Vector2)
  commentId: M:Voile.UI.Container.UpdateRect(System.Numerics.Vector2,System.Numerics.Vector2)
  parent: Voile.UI.Container
  isExternal: true
  href: Voile.UI.Container.html#Voile_UI_Container_UpdateRect_System_Numerics_Vector2_System_Numerics_Vector2_
  name: UpdateRect(Vector2, Vector2)
  nameWithType: Container.UpdateRect(Vector2, Vector2)
  fullName: Voile.UI.Container.UpdateRect(System.Numerics.Vector2, System.Numerics.Vector2)
  spec.csharp:
  - uid: Voile.UI.Container.UpdateRect(System.Numerics.Vector2,System.Numerics.Vector2)
    name: UpdateRect
    href: Voile.UI.Container.html#Voile_UI_Container_UpdateRect_System_Numerics_Vector2_System_Numerics_Vector2_
  - name: (
  - uid: System.Numerics.Vector2
    name: Vector2
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.numerics.vector2
  - name: ','
  - name: " "
  - uid: System.Numerics.Vector2
    name: Vector2
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.numerics.vector2
  - name: )
  spec.vb:
  - uid: Voile.UI.Container.UpdateRect(System.Numerics.Vector2,System.Numerics.Vector2)
    name: UpdateRect
    href: Voile.UI.Container.html#Voile_UI_Container_UpdateRect_System_Numerics_Vector2_System_Numerics_Vector2_
  - name: (
  - uid: System.Numerics.Vector2
    name: Vector2
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.numerics.vector2
  - name: ','
  - name: " "
  - uid: System.Numerics.Vector2
    name: Vector2
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.numerics.vector2
  - name: )
- uid: Voile.UI.Container.RearrangeChildren
  commentId: M:Voile.UI.Container.RearrangeChildren
  parent: Voile.UI.Container
  href: Voile.UI.Container.html#Voile_UI_Container_RearrangeChildren
  name: RearrangeChildren()
  nameWithType: Container.RearrangeChildren()
  fullName: Voile.UI.Container.RearrangeChildren()
  spec.csharp:
  - uid: Voile.UI.Container.RearrangeChildren
    name: RearrangeChildren
    href: Voile.UI.Container.html#Voile_UI_Container_RearrangeChildren
  - name: (
  - name: )
  spec.vb:
  - uid: Voile.UI.Container.RearrangeChildren
    name: RearrangeChildren
    href: Voile.UI.Container.html#Voile_UI_Container_RearrangeChildren
  - name: (
  - name: )
- uid: Voile.UI.Container.RearrangeChild(System.Int32,Voile.UI.UIElement)
  commentId: M:Voile.UI.Container.RearrangeChild(System.Int32,Voile.UI.UIElement)
  parent: Voile.UI.Container
  isExternal: true
  href: Voile.UI.Container.html#Voile_UI_Container_RearrangeChild_System_Int32_Voile_UI_UIElement_
  name: RearrangeChild(int, UIElement)
  nameWithType: Container.RearrangeChild(int, UIElement)
  fullName: Voile.UI.Container.RearrangeChild(int, Voile.UI.UIElement)
  nameWithType.vb: Container.RearrangeChild(Integer, UIElement)
  fullName.vb: Voile.UI.Container.RearrangeChild(Integer, Voile.UI.UIElement)
  name.vb: RearrangeChild(Integer, UIElement)
  spec.csharp:
  - uid: Voile.UI.Container.RearrangeChild(System.Int32,Voile.UI.UIElement)
    name: RearrangeChild
    href: Voile.UI.Container.html#Voile_UI_Container_RearrangeChild_System_Int32_Voile_UI_UIElement_
  - name: (
  - uid: System.Int32
    name: int
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.int32
  - name: ','
  - name: " "
  - uid: Voile.UI.UIElement
    name: UIElement
    href: Voile.UI.UIElement.html
  - name: )
  spec.vb:
  - uid: Voile.UI.Container.RearrangeChild(System.Int32,Voile.UI.UIElement)
    name: RearrangeChild
    href: Voile.UI.Container.html#Voile_UI_Container_RearrangeChild_System_Int32_Voile_UI_UIElement_
  - name: (
  - uid: System.Int32
    name: Integer
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.int32
  - name: ','
  - name: " "
  - uid: Voile.UI.UIElement
    name: UIElement
    href: Voile.UI.UIElement.html
  - name: )
- uid: Voile.UI.UIElement.Rect
  commentId: P:Voile.UI.UIElement.Rect
  parent: Voile.UI.UIElement
  href: Voile.UI.UIElement.html#Voile_UI_UIElement_Rect
  name: Rect
  nameWithType: UIElement.Rect
  fullName: Voile.UI.UIElement.Rect
- uid: Voile.UI.UIElement.VerticalSizeFlags
  commentId: P:Voile.UI.UIElement.VerticalSizeFlags
  parent: Voile.UI.UIElement
  href: Voile.UI.UIElement.html#Voile_UI_UIElement_VerticalSizeFlags
  name: VerticalSizeFlags
  nameWithType: UIElement.VerticalSizeFlags
  fullName: Voile.UI.UIElement.VerticalSizeFlags
- uid: Voile.UI.UIElement.HorizontalSizeFlags
  commentId: P:Voile.UI.UIElement.HorizontalSizeFlags
  parent: Voile.UI.UIElement
  href: Voile.UI.UIElement.html#Voile_UI_UIElement_HorizontalSizeFlags
  name: HorizontalSizeFlags
  nameWithType: UIElement.HorizontalSizeFlags
  fullName: Voile.UI.UIElement.HorizontalSizeFlags
- uid: Voile.UI.UIElement.ExpandRatio
  commentId: P:Voile.UI.UIElement.ExpandRatio
  parent: Voile.UI.UIElement
  href: Voile.UI.UIElement.html#Voile_UI_UIElement_ExpandRatio
  name: ExpandRatio
  nameWithType: UIElement.ExpandRatio
  fullName: Voile.UI.UIElement.ExpandRatio
- uid: Voile.UI.UIElement.AddChild(Voile.UI.UIElement)
  commentId: M:Voile.UI.UIElement.AddChild(Voile.UI.UIElement)
  parent: Voile.UI.UIElement
  href: Voile.UI.UIElement.html#Voile_UI_UIElement_AddChild_Voile_UI_UIElement_
  name: AddChild(UIElement)
  nameWithType: UIElement.AddChild(UIElement)
  fullName: Voile.UI.UIElement.AddChild(Voile.UI.UIElement)
  spec.csharp:
  - uid: Voile.UI.UIElement.AddChild(Voile.UI.UIElement)
    name: AddChild
    href: Voile.UI.UIElement.html#Voile_UI_UIElement_AddChild_Voile_UI_UIElement_
  - name: (
  - uid: Voile.UI.UIElement
    name: UIElement
    href: Voile.UI.UIElement.html
  - name: )
  spec.vb:
  - uid: Voile.UI.UIElement.AddChild(Voile.UI.UIElement)
    name: AddChild
    href: Voile.UI.UIElement.html#Voile_UI_UIElement_AddChild_Voile_UI_UIElement_
  - name: (
  - uid: Voile.UI.UIElement
    name: UIElement
    href: Voile.UI.UIElement.html
  - name: )
- uid: Voile.UI.UIElement.Render(Voile.Rendering.RenderSystem)
  commentId: M:Voile.UI.UIElement.Render(Voile.Rendering.RenderSystem)
  parent: Voile.UI.UIElement
  href: Voile.UI.UIElement.html#Voile_UI_UIElement_Render_Voile_Rendering_RenderSystem_
  name: Render(RenderSystem)
  nameWithType: UIElement.Render(RenderSystem)
  fullName: Voile.UI.UIElement.Render(Voile.Rendering.RenderSystem)
  spec.csharp:
  - uid: Voile.UI.UIElement.Render(Voile.Rendering.RenderSystem)
    name: Render
    href: Voile.UI.UIElement.html#Voile_UI_UIElement_Render_Voile_Rendering_RenderSystem_
  - name: (
  - uid: Voile.Rendering.RenderSystem
    name: RenderSystem
    href: Voile.Rendering.RenderSystem.html
  - name: )
  spec.vb:
  - uid: Voile.UI.UIElement.Render(Voile.Rendering.RenderSystem)
    name: Render
    href: Voile.UI.UIElement.html#Voile_UI_UIElement_Render_Voile_Rendering_RenderSystem_
  - name: (
  - uid: Voile.Rendering.RenderSystem
    name: RenderSystem
    href: Voile.Rendering.RenderSystem.html
  - name: )
- uid: Voile.UI.UIElement.children
  commentId: F:Voile.UI.UIElement.children
  parent: Voile.UI.UIElement
  href: Voile.UI.UIElement.html#Voile_UI_UIElement_children
  name: children
  nameWithType: UIElement.children
  fullName: Voile.UI.UIElement.children
- uid: Voile.UI.UIElement.parent
  commentId: F:Voile.UI.UIElement.parent
  parent: Voile.UI.UIElement
  href: Voile.UI.UIElement.html#Voile_UI_UIElement_parent
  name: parent
  nameWithType: UIElement.parent
  fullName: Voile.UI.UIElement.parent
- uid: System.Object.Equals(System.Object)
  commentId: M:System.Object.Equals(System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  name: Equals(object)
  nameWithType: object.Equals(object)
  fullName: object.Equals(object)
  nameWithType.vb: Object.Equals(Object)
  fullName.vb: Object.Equals(Object)
  name.vb: Equals(Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.Equals(System.Object,System.Object)
  commentId: M:System.Object.Equals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  name: Equals(object, object)
  nameWithType: object.Equals(object, object)
  fullName: object.Equals(object, object)
  nameWithType.vb: Object.Equals(Object, Object)
  fullName.vb: Object.Equals(Object, Object)
  name.vb: Equals(Object, Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.GetHashCode
  commentId: M:System.Object.GetHashCode
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  name: GetHashCode()
  nameWithType: object.GetHashCode()
  fullName: object.GetHashCode()
  nameWithType.vb: Object.GetHashCode()
  fullName.vb: Object.GetHashCode()
  spec.csharp:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
- uid: System.Object.GetType
  commentId: M:System.Object.GetType
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  name: GetType()
  nameWithType: object.GetType()
  fullName: object.GetType()
  nameWithType.vb: Object.GetType()
  fullName.vb: Object.GetType()
  spec.csharp:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
- uid: System.Object.MemberwiseClone
  commentId: M:System.Object.MemberwiseClone
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  name: MemberwiseClone()
  nameWithType: object.MemberwiseClone()
  fullName: object.MemberwiseClone()
  nameWithType.vb: Object.MemberwiseClone()
  fullName.vb: Object.MemberwiseClone()
  spec.csharp:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
- uid: System.Object.ReferenceEquals(System.Object,System.Object)
  commentId: M:System.Object.ReferenceEquals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  name: ReferenceEquals(object, object)
  nameWithType: object.ReferenceEquals(object, object)
  fullName: object.ReferenceEquals(object, object)
  nameWithType.vb: Object.ReferenceEquals(Object, Object)
  fullName.vb: Object.ReferenceEquals(Object, Object)
  name.vb: ReferenceEquals(Object, Object)
  spec.csharp:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.ToString
  commentId: M:System.Object.ToString
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  name: ToString()
  nameWithType: object.ToString()
  fullName: object.ToString()
  nameWithType.vb: Object.ToString()
  fullName.vb: Object.ToString()
  spec.csharp:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
- uid: System
  commentId: N:System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System
  nameWithType: System
  fullName: System
- uid: Voile.UI.Panel.Style*
  commentId: Overload:Voile.UI.Panel.Style
  href: Voile.UI.Panel.html#Voile_UI_Panel_Style
  name: Style
  nameWithType: Panel.Style
  fullName: Voile.UI.Panel.Style
- uid: Voile.UI.PanelStyle
  commentId: T:Voile.UI.PanelStyle
  parent: Voile.UI
  href: Voile.UI.PanelStyle.html
  name: PanelStyle
  nameWithType: PanelStyle
  fullName: Voile.UI.PanelStyle
- uid: Voile.UI.Panel.#ctor*
  commentId: Overload:Voile.UI.Panel.#ctor
  href: Voile.UI.Panel.html#Voile_UI_Panel__ctor_Voile_UI_PanelStyle_
  name: Panel
  nameWithType: Panel.Panel
  fullName: Voile.UI.Panel.Panel
  nameWithType.vb: Panel.New
  fullName.vb: Voile.UI.Panel.New
  name.vb: New
- uid: Voile.UI.Container.OnRender(Voile.Rendering.RenderSystem)
  commentId: M:Voile.UI.Container.OnRender(Voile.Rendering.RenderSystem)
  parent: Voile.UI.Container
  href: Voile.UI.Container.html#Voile_UI_Container_OnRender_Voile_Rendering_RenderSystem_
  name: OnRender(RenderSystem)
  nameWithType: Container.OnRender(RenderSystem)
  fullName: Voile.UI.Container.OnRender(Voile.Rendering.RenderSystem)
  spec.csharp:
  - uid: Voile.UI.Container.OnRender(Voile.Rendering.RenderSystem)
    name: OnRender
    href: Voile.UI.Container.html#Voile_UI_Container_OnRender_Voile_Rendering_RenderSystem_
  - name: (
  - uid: Voile.Rendering.RenderSystem
    name: RenderSystem
    href: Voile.Rendering.RenderSystem.html
  - name: )
  spec.vb:
  - uid: Voile.UI.Container.OnRender(Voile.Rendering.RenderSystem)
    name: OnRender
    href: Voile.UI.Container.html#Voile_UI_Container_OnRender_Voile_Rendering_RenderSystem_
  - name: (
  - uid: Voile.Rendering.RenderSystem
    name: RenderSystem
    href: Voile.Rendering.RenderSystem.html
  - name: )
- uid: Voile.UI.Panel.OnRender*
  commentId: Overload:Voile.UI.Panel.OnRender
  href: Voile.UI.Panel.html#Voile_UI_Panel_OnRender_Voile_Rendering_RenderSystem_
  name: OnRender
  nameWithType: Panel.OnRender
  fullName: Voile.UI.Panel.OnRender
- uid: Voile.Rendering.RenderSystem
  commentId: T:Voile.Rendering.RenderSystem
  parent: Voile.Rendering
  href: Voile.Rendering.RenderSystem.html
  name: RenderSystem
  nameWithType: RenderSystem
  fullName: Voile.Rendering.RenderSystem
- uid: Voile.Rendering
  commentId: N:Voile.Rendering
  href: Voile.html
  name: Voile.Rendering
  nameWithType: Voile.Rendering
  fullName: Voile.Rendering
  spec.csharp:
  - uid: Voile
    name: Voile
    href: Voile.html
  - name: .
  - uid: Voile.Rendering
    name: Rendering
    href: Voile.Rendering.html
  spec.vb:
  - uid: Voile
    name: Voile
    href: Voile.html
  - name: .
  - uid: Voile.Rendering
    name: Rendering
    href: Voile.Rendering.html
